"use strict";

const React = require("react");

const Notification = require("./notification");

module.exports = function NotificationArea({store}) {
	return (
		<div id="notificationArea">
			{store.getVisible().toArray().map((notificationData) => {
				return <Notification key={notificationData.id} store={store} {...notificationData} />;
			})}
		</div>
	);
};
